﻿Class MainWindow
  Private Sub Window_Loaded(sender As System.Object,
    e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded

    Me.Title = "TouchTest04"
    AddHandler Touch.FrameReported,
      New TouchFrameEventHandler(AddressOf Touch_FrameReported)
  End Sub

  Private Sub Touch_FrameReported(sender As Object, e As TouchFrameEventArgs)
    Dim touchPoints As TouchPointCollection = e.GetTouchPoints(Nothing)
    Dim s As String

    For Each tp As TouchPoint In touchPoints
      s = String.Format("ID = {0}, Action = {1}, X = {2:##}, Y = {3:##}",
        tp.TouchDevice.Id, tp.Action.ToString(), tp.Position.X, tp.Position.Y)
      ListBoxMain.Items.Add(s)
    Next
    ListBoxMain.Items.Add("----------")
  End Sub

  Private Sub Window_SizeChanged(sender As System.Object,
    e As System.Windows.SizeChangedEventArgs) Handles MyBase.SizeChanged

    ListBoxMain.Height = Me.Height - 60
  End Sub

  Private Sub ButtonClear_Click(sender As System.Object,
    e As System.Windows.RoutedEventArgs) Handles ButtonClear.Click

    ListBoxMain.Items.Clear()
  End Sub
End Class
